Subject: bug#45068: [PATCH] 28.0.50; Update Modus themes 1.0.2 (backward-incompatible)

From: Christopher Dimech <[email-masked]>
Date: Fri, 11 Dec 2020 21:05:10 +0100

> Sent: Friday, December 11, 2020 at 8:08 PM
> From: "Stefan Kangas" <[email-masked]>
> To: "Eli Zaretskii" <[email-masked]>, "Protesilaos Stavrou" <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked]
> Subject: bug#45068: [PATCH] 28.0.50; Update Modus themes 1.0.2 (backward-incompatible)
>
> Eli Zaretskii <[email-masked]> writes:
>
> >   . don't consider this a "theme", but a normal Lisp package (since it
> >     basically violates the conventions for writing a theme)
>
> I guess such violations of our old conventions are getting increasingly
> common in (third-party) Emacs theme development.  See for example:
>
>     https://github.com/bbatsov/solarized-emacs
>     https://github.com/hlissner/emacs-doom-themes
>
> FWIW, I think this is a sign of the health and maturity of Emacs theme
> development; code reuse is as useful in themes as in any other Lisp
> code.

I agree with that.  Themes like those of Protesilaos have reached a very
high standard and have recommended modus-themes as a default for emacs.